function OnWarpEnter() 
	SetMarker("cs\\Warp_0064.wp" , 0 , 0) 
	Music_Change = false

	if not First_Entry_W065 then
		First_Entry_W065 = true
	end

	if ETAT_DAY == "D3" then 
		ASK_FAVOR_MADELELINE_D3 = false
		CONSTANCE_IN_ROOM_0065 = true
		if CONSTANCE_IN_ROOM_0065 then
			StartAnimationPart("fyc1",0,30,-1,false)
			SetMarker("fyc1",4,0)
		end
	end
end

function OnWarpLeave()
end

function OnDialogFinished(dialogName)

	if dialogName == "Ma1087" then
		SetMarker("fyc1",4,0)
	end

	if ETAT_DAY == "D3" then 
		if dialogName == "Co2394" or dialogName == "Co2416" or dialogName == "Co2403" or dialogName == "Co2418" or dialogName == "Co2398" 
		or dialogName == "Co2401"  then
			StartAnimationPart("fyc1",0,30,-1,false)
			AskSeparation()
		end
		if dialogName == "Co2428" then
			LookAt(202,17)
			StartAnimationPart("fyc1",60,90,-1,false)
			SetMarker("fyc1",-1,0)
			DrawText("Co2429","Co2429.ogg",8) -- J'ai un service à vous demander.
			DrawText("Ma2430","Ma2430.ogg",0) -- Oui ?
			DrawText("Co2431","Co2431.ogg",8) -- Je sais que votre père prépare des philtres d'amour, qu'on dit très puissants. J'avoue que je suis curieuse.
			DrawText("Co2432","Co2432.ogg",8) -- J'ai là un morceau d'ambre gris qui a paraît-il des propriétés aphrodisiaques, mais je ne sais pas comment le préparer. Prenez-le et faites-le pour moi, je ferai de mon mieux pour vous aider dans vos recherches.
			DrawText("Ma2433","Ma2433.ogg",0) -- Très bien.
		end
		if dialogName == "Co2435" then
			LookAt(202,17)
			SetMarker("fyc1",-1,0)
			StartAnimationPart("fyc1",60,90,-1,false)
			DrawText("Co2436","Co2436.ogg",8) -- J'ai un service à vous demander.
			DrawText("Ce2437","Ce2437.ogg",1) -- Oui ?
			DrawText("Co2438","Co2438.ogg",8) -- Je sais que votre père prépare des philtres d'amour, qu'on dit très puissants. J'avoue que je suis curieuse.
			DrawText("Co2439","Co2439.ogg",8) -- J'ai là un morceau d'ambre gris qui a paraît-il des propriétés aphrodisiaques, mais je ne sais pas comment le préparer. Prenez-le et faites-le pour moi, je saurai me montrer plus coopérative. Et puis qui sait, vous serez peut-être tenté d'y goûter !
		end
		if dialogName == "Ma2433" or dialogName == "Co2439" then
			LookAt(86,10)
			AddToBag("A_ambre_gris")
			if Cesar_Constance_D3 then
				DrawText("Ma2440","Ma2440.ogg",0) -- Terrible cette Constance ! Peut-être viendrais-je lui apporter le philtre sous mon vrai visage, parce qu'en César, la situation promet d'être un tantinet embarrassante !
			else
				DrawText("Ma2434","Ma2434.ogg",0) -- Etonnant personnage, je suis sûre qu'elle pourra m'en apprendre plus, elle a l'air maligne et semble au courant de tout ce qui concerne Catherine de Médicis.			"Ma2434" value="<f font=Common/Fonts/typo_cred_12_RTMI2.font></f>"/>
			end
		end
		if dialogName == "Ma2440" or dialogName == "Ma2434" then
			ChangeWarp("3D\\cs\\Warp_0209.wp") -- 
		end
		

		if dialogName == "Co2429" or dialogName == "Co2432" or dialogName == "Co2439" or dialogName == "Co2418" or dialogName == "Co2420" 
		or dialogName == "Co2498" or dialogName == "Co2401" or dialogName == "Co2403" or dialogName == "Co2371" or dialogName == "Co2383" 
		or dialogName == "Co2386" or dialogName == "Co2389" or dialogName == "Co2392" or dialogName == "Co2394" or dialogName == "Co2365" 
		or dialogName == "Co2370" or dialogName == "Co2380" or dialogName == "Co2410" or dialogName == "Co2412" or dialogName == "Co2414" 
		or dialogName == "Co2416" or dialogName == "Co2436" or dialogName == "Co2400" then
			StartAnimationPart("fyc1",0,30,-1,false)
		end
		
		if dialogName == "Ce2397" or dialogName == "Ce2399" or dialogName == "Ce2402" or dialogName == "Ce2370" or dialogName == "Ce2382" 
		or dialogName == "Ce2385" or dialogName == "Ce2390" or dialogName == "Ce2387" or dialogName == "Ce2393" or dialogName == "Ma2430" 
		or dialogName == "Ma2437" or dialogName == "Ma2417" or dialogName == "Ma2419" or dialogName == "Ma2363" or dialogName == "Ma2378" 
		or dialogName == "Ma2408" or dialogName == "Ma2411" or dialogName == "Ma2413" or dialogName == "Ma2415" or dialogName == "Ce2437" then
			StartAnimationPart("fyc1",60,90,-1,false)
		end

		if dialogName == "Co2420" then
			SetMarker("fyc1",4,0)
		end

	end
end

function OnMovieFinished(name)
end

function AskSeparation()

--DAY3
     if ETAT_DAY == "D3" then
	if DRESS_CESAR then
		PushAnswer("Ce2397") -- Que pouvez-vous m'apprendre sur le mort ?
		PushAnswer("Ce2399") -- Avez-vous entendu parler de la prophétie ?
		PushAnswer("Ce2402") -- Pourquoi êtes vous ici ?
		PushAnswer("3411") -- Prendre congé
	elseif DRESS_MADELEINE then
		PushAnswer("Ma2417") -- Que pouvez-vous m'apprendre sur le mort ?
		PushAnswer("Ma2419") -- Merci Constance.
		PushAnswer("3411") -- Prendre congé
	end
    end
end

function OnAnswered(textId)
	if textId == "Ma2417" then -- Que pouvez-vous m'apprendre sur le mort ?
		StartAnimationPart("fyc1",60,90,-1,false)
		DrawText("Co2418","Co2418.ogg",8) -- Jean était quelqu'un de bien. Gentil, solide, pas très bavard, mais loyal envers la couronne.
	end
	if textId == "Ma2419" then -- Merci Constance.
		StartAnimationPart("fyc1",60,90,-1,false)
		DrawText("Co2420","Co2420.ogg",8) -- De rien Madeleine. Ça m'a fait plaisir d'avoir un peu de compagnie.
	end
	if textId == "Ce2397" then -- Que pouvez-vous m'apprendre sur le mort ?
		StartAnimationPart("fyc1",60,90,-1,false)
		DrawText("Co2398","Co2398.ogg",8) -- Il s'appelait Jean, il était soldat dans la garde rapprochée de Sa Majesté Catherine de Médicis, et c'était un gaillard solide et gentil, qui aimait beaucoup les femmes. Voilà, je ne vois rien d'autre à ajouter.
	end
	if textId == "Ce2399" then -- Avez-vous entendu parler de la prophétie ?
		StartAnimationPart("fyc1",60,90,-1,false)
		DrawText("Co2400","Co2400.ogg",8) -- Ce fameux quatrain écrit par votre père et qui nous promet d'autres morts !
		DrawText("Ce2558","Ce2558.ogg",1) -- Je pensais que cette information était confidentielle, comment en avez-vous eu connaissance ?
		DrawText("Co2401","Co2401.ogg",8) -- Je le sais, un point c'est tout.
	end
	if textId == "Ce2402" then -- Pourquoi êtes vous ici ?
		StartAnimationPart("fyc1",60,90,-1,false)
		DrawText("Co2403","Co2403.ogg",8) -- Parce que Sa Majesté m'a demandé de l'accompagner bien entendu. Je suis, disons… Sa suivante, c'est ça ! Bien qu'il ne s'agisse pas là de mon plus grand talent.
	end


	if textId == "Ce3367" then -- Quand as-tu appris ce qui se passait ?
		StartAnimationPart("fyc1",60,90,-1,false)
		AskHappenConstance = true
		DrawText("Co3368","Co3368.ogg",8) -- Tu parles des morts ?
		DrawText("Ce3369","Ce3369.ogg",1) -- Oui.
		DrawText("Co3354","Co3354.ogg",8) -- Le soir de notre départ, quand Catherine a décidé de venir consulter ton père.
		DrawText("Co3355","Co3355.ogg",8) -- Je me souviens très bien qu'elle m'a parlé du quatrain et du danger qui planait sur ses proches. Et puis nous avons rejoint les autres.
		DrawText("Ce3370","Ce3370.ogg",1) -- 
		DrawText("Co3357","Co3357.ogg",8) -- Deux gardes, Jean-Aimé de Chavigny, l'apothicaire de Catherine, et bien sûr le cocher !
		DrawText("Ce3371","Ce3371.ogg",1) -- 
		DrawText("Co3359","Co3359.ogg",8) -- Je l'avais oublié, il est si discret. Il nous a rejoint au dernier moment et a supplié la reine de l'emmener. Je crois qu'il voulait rencontrer l'Archevêque, mais manque de chance, il est en voyage.
		DrawText("Ce3372","Ce3372.ogg",1) -- 
		DrawText("Co3361","Co3361.ogg",8) -- Oui, il me semble, tu penses que c'est important ?
		DrawText("Ce3373","Ce3373.ogg",1) -- Ça se pourrait en effet.
		DrawText("Ce3374","Ce3374.ogg",1) -- Merci beaucoup Constance, tu m'as été d'une grande aide.
	end
	if textId == "Ce3364" then -- J'ai besoin d'en apprendre plus sur Philibert. Est-ce que tu le connaissais ?
		StartAnimationPart("fyc1",60,90,-1,false)
		AskPhilibertConstance = true
		DrawText("Co3346","Co3346.ogg",8) -- Oui, en effet.
		DrawText("Co3347","Co3347.ogg",8) -- Nous avons discuté la veille de son décès. Il paraissait plutôt inquiet, et m'a fait une drôle de demande.
		DrawText("Ce3365","Ce3365.ogg",1) -- Je t'écoute.
		DrawText("Co3349","Co3349.ogg",8) -- Il voulait que je garde ce médaillon pour lui, comme s'il avait peur que quelqu'un d'autre ne lui dérobe.
		DrawText("Ce3366","Ce3366.ogg",1) -- C'est étonnant, ça n'a pourtant pas l'air d'un objet de grande valeur.
	end
	if textId == "Ma3345" then -- J'ai besoin d'en apprendre plus sur Philibert. Est-ce que tu le connaissais ?
		StartAnimationPart("fyc1",60,90,-1,false)
		AskPhilibertConstance = true
		DrawText("Co3346","Co3346.ogg",8) -- Oui, en effet.
		DrawText("Co3347","Co3347.ogg",8) -- Nous avons discuté la veille de son décès. Il paraissait plutôt inquiet, et m'a fait une drôle de demande.
		DrawText("Ma3348","Ma3348.ogg",0) -- Je t'écoute.
		DrawText("Co3349","Co3349.ogg",8) -- Il voulait que je garde ce médaillon pour lui, comme s'il avait peur que quelqu'un d'autre ne lui dérobe.
		DrawText("Ma3350","Ma3350.ogg",0) -- C'est étonnant, ça n'a pourtant pas l'air d'un objet de grande valeur.
	end
	if textId == "Ma3351" then -- Quand as-tu appris ce qui se passait ?
		StartAnimationPart("fyc1",60,90,-1,false)
		AskHappenConstance = true
		DrawText("Co3352","Co3352.ogg",8) -- Tu parles des morts ?
		DrawText("Ma3353","Ma3353.ogg",0) -- Oui.
		DrawText("Co3354","Co3354.ogg",8) -- Le soir de notre départ, quand Catherine a décidé de venir consulter ton père.
		DrawText("Co3355","Co3355.ogg",8) -- Je me souviens très bien qu'elle m'a parlé du quatrain et du danger qui planait sur ses proches. Et puis nous avons rejoint les autres.
		DrawText("Ma3356","Ma3356.ogg",0) -- Qui exactement ?
		DrawText("Co3357","Co3357.ogg",8) -- Deux gardes, Jean-Aimé de Chavigny, l'apothicaire de Catherine, et bien sûr le cocher !
		DrawText("Ma3358","Ma3358.ogg",0) -- C'est tout ? Et le scribe, où était-il ?
		DrawText("Co3359","Co3359.ogg",8) -- Je l'avais oublié, il est si discret. Il nous a rejoint au dernier moment et a supplié la reine de l'emmener. Je crois qu'il voulait rencontrer l'Archevêque, mais manque de chance, il est en voyage.
		DrawText("Ma3360","Ma3360.ogg",0) -- Tu veux dire qu'il savait où vous alliez ?
		DrawText("Co3361","Co3361.ogg",8) -- Oui, il me semble, tu penses que c'est important ?
		DrawText("Ma3362","Ma3362.ogg",0) -- Ça se pourrait en effet.
		DrawText("Ma3363","Ma3363.ogg",0) -- Merci beaucoup Constance, tu m'as été d'une grande aide.
	end
	if textId == "3411" then -- [Prendre Congé]
		SetMarker("fyc1",4,0)
	end
end


function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0064.wp" then 
		if DRESS_MADELEINE then
			if not ASK_FAVOR_MADELELINE_D3 and TALK_TO_CONSTANCE_D3 and Madeleine_Constance_D3 then
				ASK_FAVOR_MADELELINE_D3 = true
				StartAnimationPart("fyc1",60,90,-1,false)
				DrawText("Co2428","Co2428.ogg",8) -- Madeleine !
			else
				DrawText("Ma1087","Ma1087.ogg",0) -- Non, j'ai quelque chose à faire avant...
			end
		elseif DRESS_CESAR then
			if not ASK_FAVOR_CESAR_D3 and TALK_TO_CONSTANCE_D3 and Cesar_Constance_D3 then
				ASK_FAVOR_CESAR_D3 = true
				StartAnimationPart("fyc1",60,90,-1,false)
				DrawText("Co2435","Co2435.ogg",8) -- César !
			else
				DrawText("Ma1087","Ma1087.ogg",0) -- Non, j'ai quelque chose à faire avant...
			end
		end
	end

--DAY3
	if ETAT_DAY == "D3" then 
		if objectName == "fyc1" then
			SetMarker("fyc1",-1,0)
			if not TALK_TO_CONSTANCE_D3 then
				if DRESS_CESAR then
					if Cesar_Constance_D3 then
	---					DrawText("Ce2370","Ce2370.ogg",1) -- Constance ?
	--					DrawText("Co2371","Co2371.ogg",8) -- Oui.
	--					DrawText("Ce2372","Ce2372.ogg",1) -- Je suis César de Nostredame, je fais des recherches au sujet des décès survenus ces derniers jours.
						DrawText("Ce2381","Ce2381.ogg",1) -- 
						DrawText("Ce2382","Ce2382.ogg",1) -- 
						DrawText("Co2383","Co2383.ogg",8) -- 
						DrawText("Ce2384","Ce2384.ogg",1) -- 
						DrawText("Ce2385","Ce2385.ogg",1) -- 
						DrawText("Co2386","Co2386.ogg",8) -- 
						DrawText("Ce2387","Ce2387.ogg",1) -- 
						DrawText("Co2388","Co2388.ogg",8) -- 
						DrawText("Co2389","Co2389.ogg",8) -- 
						DrawText("Ce2390","Ce2390.ogg",1) -- 
						DrawText("Co2391","Co2391.ogg",8) -- 
						DrawText("Co2392","Co2392.ogg",8) -- Dîtes moi, quelle est donc votre fleur préférée ?
						DrawText("Ce2393","Ce2393.ogg",1) -- Si vous le permettez, nous parlerons pétales plus tard, un homme vient de mourir, et même si vous ne l'aimiez pas, vous le connaissiez suffisamment  pour avoir à répondre à quelques questions !
						DrawText("Co2394","Co2394.ogg",8) -- Charmant et autoritaire ! Vous êtes un surprenant jeune homme César.
						TALK_TO_CONSTANCE_D3 = true
					else
						DrawText("Ma1087","Ma1087.ogg",0) -- Non, j'ai quelque chose à faire avant...
					end
				elseif DRESS_MADELEINE then
					if Madeleine_Constance_D3 then
	--					DrawText("Ma2363","Ma2363.ogg",0) -- Constance ?
	--					DrawText("Co2365","Co2365.ogg",8) -- Oui.
	--					DrawText("Ma2366","Ma2366.ogg",0) -- Je suis Madeleine de Nostredame, je viens aider mon frère dans ses recherches au sujet des décès survenus ces derniers jours.
						DrawText("Ma2374","Ma2374.ogg",0) -- 
						DrawText("Ma2375","Ma2375.ogg",0) -- 
						DrawText("Co2376","Co2376.ogg",8) -- 
						DrawText("Ma2377","Ma2377.ogg",0) -- 
						DrawText("Ma2378","Ma2378.ogg",0) -- 
						DrawText("Co2379","Co2379.ogg",8) -- 
						DrawText("Co2380","Co2380.ogg",8) -- 
						DrawText("Ma2408","Ma2408.ogg",0) -- 
						DrawText("Co2409","Co2409.ogg",8) -- 
						DrawText("Co2410","Co2410.ogg",8) -- 
						DrawText("Ma2411","Ma2411.ogg",0) -- 
						DrawText("Co2412","Co2412.ogg",8) -- 
						DrawText("Ma2413","Ma2413.ogg",0) -- 
						DrawText("Co2414","Co2414.ogg",8) -- Réfléchissez un peu Mademoiselle. Vous êtes vous-même très jolie.
						DrawText("Ma2415","Ma2415.ogg",0) -- Oh !
						DrawText("Co2416","Co2416.ogg",8) -- Et pleine de fraîcheur de surcroît ! J'avoue que je m'ennuyais depuis notre arrivée et l'idée de trouver une amie telle que vous me réjouis !
						TALK_TO_CONSTANCE_D3 = true
					else
						DrawText("Ma1087","Ma1087.ogg",0) -- Non, j'ai quelque chose à faire avant...
					end
				  end
				else
					if DRESS_CESAR then
						if Cesar_Constance_D3 then
							AskSeparation()
						else
							DrawText("Ma1087","Ma1087.ogg",0) -- Non, j'ai quelque chose à faire avant...
						end
					elseif DRESS_MADELEINE then
						if Madeleine_Constance_D3 then
							AskSeparation()
						else
							DrawText("Ma1087","Ma1087.ogg",0) -- Non, j'ai quelque chose à faire avant...
						end
					end
			      end
		end
	end
end
